summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-08-25 23:32:21 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-08-25 23:34:23 +0200
commit00ce944c8043ffa5c31d4d1313d354d4761ac3c9 (patch)
tree846af5352c65719aa99f3cfaa933341893b87bb8
parentmedia-libs/libpng: Removed old. (diff)
downloadgentoo-00ce944c8043ffa5c31d4d1313d354d4761ac3c9.tar.gz
gentoo-00ce944c8043ffa5c31d4d1313d354d4761ac3c9.tar.bz2
gentoo-00ce944c8043ffa5c31d4d1313d354d4761ac3c9.zip
net-print/cups-filters: Bump to version 1.17.1
Package-Manager: Portage-2.3.8, Repoman-2.3.3
-rw-r--r--net-print/cups-filters/Manifest1
-rw-r--r--net-print/cups-filters/cups-filters-1.17.1.ebuild136
2 files changed, 137 insertions, 0 deletions
diff --git a/net-print/cups-filters/Manifest b/net-print/cups-filters/Manifest
index ece445bc67d..fc61abc8120 100644
--- a/net-print/cups-filters/Manifest
+++ b/net-print/cups-filters/Manifest
@@ -3,4 +3,5 @@ DIST cups-filters-1.15.0.tar.xz 1433652 SHA256 a3bd793c55636904f8c3756f8fb64866e
DIST cups-filters-1.16.3.tar.xz 1440860 SHA256 96433f53304e752de9ae3e59a9ba3586e28561d005504cb92ca5b6d0f6990189 SHA512 068e0c908a2c6785b97be9507fd73771795cc5ae2bca43a7c62e2f3d3f7e0aca1b1ebe570d9772a1240c23015f6862592fe4f5639785a56d8dfc1576c8d3f8ac WHIRLPOOL 63ab14a9c76cd26ce99538fb800c01343f08a6ea7fc937219e86f21b10282a6a2b0d800731b043194733b0077470853ed9c682910de9c652b35f060181a48df0
DIST cups-filters-1.16.4.tar.xz 1440964 SHA256 2642c6a3cbf10a38d91f20b7b292583d19acb64e786eb6513b7b45738a2e5aed SHA512 367c2c1d6755800b88f79808ef0c595aa80b080634299d015828bfb8f0e27085aa052c77e3f3f1645833340caca709bec8e00b46070ff4d13b9994fb1400da60 WHIRLPOOL 30f4e70770c60a743ca845e294e1bf79f3efa83e10f01398a0432461d31e59eac6568e6a302425250bd0417963e63b1ef208e35e5ddcf1a1f4125bdd80480324
DIST cups-filters-1.17.0.tar.xz 1444020 SHA256 e1f13b0b7336903567265716af6493cc1569d1c8bb79177494c22e2065b1ecd5 SHA512 d40a4a8802cfb9323fa6b0d105c1228b8115738048a9f9c6cf027d635a42652bf583b7eaf5bdda768377aadc2aa645db3d3823ee6009d29f2ebd6690e8928061 WHIRLPOOL 29d827c9ef86e587ececb9057375abdb811509f0d402d7d670de35b47b9267c0f5fe2afd9bacfc3ef1eaf12fe1fef9777333996b6cac9a01c21abde795082678
+DIST cups-filters-1.17.1.tar.xz 1446932 SHA256 e261c2f45d143a54e70b5242f5b30bf9fc755d7ec317657782c07213c4d729cd SHA512 9031ef8c8f3c5ce941abad3652dd06f3a836bb7b498645ec9eba3c68c987acc8c4c4375f50f1aa1a80b6ccf4f14a7aaa91805669b646893f11f66b3143bc95d6 WHIRLPOOL ca57865417bd98d6f5cf97a3f459da83a08951aee0cecedc7455d403503d9c88ec931d5096f0b2eb04c089f2bf91f87a1e4c7ed1e065180c3be06258702a88a3
DIST cups-filters-1.5.0.tar.xz 1375588 SHA256 f22a8864e8d5b693795605a31345c08cc68f85120ebde9a0aa7bc27639815932 SHA512 81574f8368aaef61aeee4369caa394f2c8cdc717b03687d8a17c7927892f07cff68f1efb8d674757cb97001b55fd58fa5c14784a510ce9d31e385b1a73cd18c7 WHIRLPOOL 4201d08a2bb76d349a6b9f7220eb48dea86bb81c0cedbe8dcb8796c49ce26f67f6a7c49677b4fc7b6f865eb20e3c806746f565668e9f9e1e3935630621d032cd
diff --git a/net-print/cups-filters/cups-filters-1.17.1.ebuild b/net-print/cups-filters/cups-filters-1.17.1.ebuild
new file mode 100644
index 00000000000..acc59f5802c
--- /dev/null
+++ b/net-print/cups-filters/cups-filters-1.17.1.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+GENTOO_DEPEND_ON_PERL=no
+
+inherit perl-module systemd flag-o-matic
+
+if [[ "${PV}" == "9999" ]] ; then
+ inherit bzr autotools
+ EBZR_REPO_URI="http://bzr.linuxfoundation.org/openprinting/cups-filters"
+else
+ SRC_URI="http://www.openprinting.org/download/${PN}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~m68k-mint"
+fi
+DESCRIPTION="Cups PDF filters"
+HOMEPAGE="https://wiki.linuxfoundation.org/openprinting/pdf_as_standard_print_job_format"
+
+LICENSE="MIT GPL-2"
+SLOT="0"
+IUSE="dbus +foomatic ipp_autosetup jpeg ldap pclm pdf perl png +postscript static-libs tiff zeroconf"
+
+RDEPEND="
+ >=app-text/poppler-0.32:=[cxx,jpeg?,lcms,tiff?,utils]
+ >=app-text/qpdf-3.0.2:=
+ dev-libs/glib:2
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/lcms:2
+ >=net-print/cups-1.7.3
+ !<=net-print/cups-1.5.9999
+ sys-devel/bc
+ sys-libs/zlib
+ dbus? ( sys-apps/dbus )
+ foomatic? ( !net-print/foomatic-filters )
+ jpeg? ( virtual/jpeg:0 )
+ ldap? ( net-nds/openldap )
+ pclm? ( >=app-text/qpdf-7.0_beta1 )
+ pdf? ( app-text/mupdf )
+ perl? ( dev-lang/perl:= )
+ png? ( media-libs/libpng:0= )
+ postscript? ( >=app-text/ghostscript-gpl-9.09[cups] )
+ tiff? ( media-libs/tiff:0 )
+ zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${RDEPEND}
+ dev-util/gdbus-codegen
+"
+
+src_prepare() {
+ default
+ [[ "${PV}" == "9999" ]] && eautoreconf
+
+ # Bug #626800
+ append-cxxflags -std=c++11
+}
+
+src_configure() {
+ local myeconfargs=(
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+ --enable-imagefilters
+ --localstatedir="${EPREFIX}"/var
+ --with-browseremoteprotocols=DNSSD,CUPS
+ --with-cups-rundir="${EPREFIX}"/run/cups
+ --with-fontdir="fonts/conf.avail"
+ --with-pdftops=pdftops
+ --with-rcdir=no
+ --without-php
+ $(use_enable dbus)
+ $(use_enable foomatic)
+ $(use_enable ipp_autosetup auto-setup-driverless)
+ $(use_enable ldap)
+ $(use_enable pclm)
+ $(use_enable pdf mutool)
+ $(use_enable postscript ghostscript)
+ $(use_enable postscript ijs)
+ $(use_enable static-libs static)
+ $(use_enable zeroconf avahi)
+ $(use_with jpeg)
+ $(use_with png)
+ $(use_with tiff)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ if use perl; then
+ pushd "${S}/scripting/perl" > /dev/null
+ perl-module_src_configure
+ perl-module_src_compile
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ default
+
+ if use perl; then
+ pushd "${S}/scripting/perl" > /dev/null
+ perl-module_src_install
+ perl_delete_localpod
+ popd > /dev/null
+ fi
+
+ if use postscript; then
+ # workaround: some printer drivers still require pstoraster and pstopxl, bug #383831
+ dosym gstoraster /usr/libexec/cups/filter/pstoraster
+ dosym gstopxl /usr/libexec/cups/filter/pstopxl
+ fi
+
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+
+ cp "${FILESDIR}"/cups-browsed.init.d-r1 "${T}"/cups-browsed || die
+
+ if ! use zeroconf ; then
+ sed -i -e 's:need cupsd avahi-daemon:need cupsd:g' "${T}"/cups-browsed || die
+ sed -i -e 's:cups\.service avahi-daemon\.service:cups.service:g' "${S}"/utils/cups-browsed.service || die
+ fi
+
+ doinitd "${T}"/cups-browsed
+ systemd_dounit "${S}/utils/cups-browsed.service"
+}
+
+src_test() {
+ emake check
+}
+
+pkg_postinst() {
+ if ! use foomatic ; then
+ ewarn "You are disabling the foomatic code in cups-filters. Please do that ONLY if absolutely."
+ ewarn "necessary. net-print/foomatic-filters as replacement is deprecated and unmaintained."
+ fi
+}